0.2 snapshot
[himkr] / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18   emulate sh
19   NULLCMD=:
20   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21   # is contrary to our usage.  Disable this feature.
22   alias -g '${1+"$@"}'='"$@"'
23   setopt NO_GLOB_SUBST
24 else
25   case `(set -o) 2>/dev/null` in
26   *posix*) set -o posix ;;
27 esac
28
29 fi
30
31
32
33
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44   echo "#! /bin/sh" >conf$$.sh
45   echo  "exit 0"   >>conf$$.sh
46   chmod +x conf$$.sh
47   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48     PATH_SEPARATOR=';'
49   else
50     PATH_SEPARATOR=:
51   fi
52   rm -f conf$$.sh
53 fi
54
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57   as_unset=unset
58 else
59   as_unset=false
60 fi
61
62
63 # IFS
64 # We need space, tab and new line, in precisely that order.  Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
69 '
70 IFS=" ""        $as_nl"
71
72 # Find who we are.  Look in the path if we contain no directory separator.
73 case $0 in
74   *[\\/]* ) as_myself=$0 ;;
75   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
77 do
78   IFS=$as_save_IFS
79   test -z "$as_dir" && as_dir=.
80   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
83
84      ;;
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89   as_myself=$0
90 fi
91 if test ! -f "$as_myself"; then
92   echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93   { (exit 1); exit 1; }
94 fi
95
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
103
104 # NLS nuisances.
105 for as_var in \
106   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108   LC_TELEPHONE LC_TIME
109 do
110   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111     eval $as_var=C; export $as_var
112   else
113     ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114   fi
115 done
116
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119    test "X`expr 00001 : '.*\(...\)'`" = X001; then
120   as_expr=expr
121 else
122   as_expr=false
123 fi
124
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126   as_basename=basename
127 else
128   as_basename=false
129 fi
130
131
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135          X"$0" : 'X\(//\)$' \| \
136          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138     sed '/^.*\/\([^/][^/]*\)\/*$/{
139             s//\1/
140             q
141           }
142           /^X\/\(\/\/\)$/{
143             s//\1/
144             q
145           }
146           /^X\/\(\/\).*/{
147             s//\1/
148             q
149           }
150           s/.*/./; q'`
151
152 # CDPATH.
153 $as_unset CDPATH
154
155
156
157   as_lineno_1=$LINENO
158   as_lineno_2=$LINENO
159   test "x$as_lineno_1" != "x$as_lineno_2" &&
160   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163   # uniformly replaced by the line number.  The first 'sed' inserts a
164   # line-number line after each line using $LINENO; the second 'sed'
165   # does the real work.  The second script uses 'N' to pair each
166   # line-number line with the line containing $LINENO, and appends
167   # trailing '-' during substitution so that $LINENO is not a special
168   # case at line end.
169   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170   # scripts with optimization help from Paolo Bonzini.  Blame Lee
171   # E. McMahon (1931-1989) for sed's syntax.  :-)
172   sed -n '
173     p
174     /[$]LINENO/=
175   ' <$as_myself |
176     sed '
177       s/[$]LINENO.*/&-/
178       t lineno
179       b
180       :lineno
181       N
182       :loop
183       s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184       t loop
185       s/-\n.*//
186     ' >$as_me.lineno &&
187   chmod +x "$as_me.lineno" ||
188     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189    { (exit 1); exit 1; }; }
190
191   # Don't try to exec as it changes $[0], causing all sort of problems
192   # (the dirname of $[0] is not the place where we might find the
193   # original and so on.  Autoconf is especially sensitive to this).
194   . "./$as_me.lineno"
195   # Exit status is that of the last command.
196   exit
197 }
198
199
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201   as_dirname=dirname
202 else
203   as_dirname=false
204 fi
205
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209   case `echo 'x\c'` in
210   *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
211   *)   ECHO_C='\c';;
212   esac;;
213 *)
214   ECHO_N='-n';;
215 esac
216
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218    test "X`expr 00001 : '.*\(...\)'`" = X001; then
219   as_expr=expr
220 else
221   as_expr=false
222 fi
223
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226   rm -f conf$$.dir/conf$$.file
227 else
228   rm -f conf$$.dir
229   mkdir conf$$.dir
230 fi
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233   as_ln_s='ln -s'
234   # ... but there are two gotchas:
235   # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236   # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237   # In both cases, we have to default to `cp -p'.
238   ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239     as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241   as_ln_s=ln
242 else
243   as_ln_s='cp -p'
244 fi
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
247
248 if mkdir -p . 2>/dev/null; then
249   as_mkdir_p=:
250 else
251   test -d ./-p && rmdir ./-p
252   as_mkdir_p=false
253 fi
254
255 if test -x / >/dev/null 2>&1; then
256   as_test_x='test -x'
257 else
258   if ls -dL / >/dev/null 2>&1; then
259     as_ls_L_option=L
260   else
261     as_ls_L_option=
262   fi
263   as_test_x='
264     eval sh -c '\''
265       if test -d "$1"; then
266         test -d "$1/.";
267       else
268         case $1 in
269         -*)set "./$1";;
270         esac;
271         case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272         ???[sx]*):;;*)false;;esac;fi
273     '\'' sh
274   '
275 fi
276 as_executable_p=$as_test_x
277
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285 exec 6>&1
286
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by $as_me, which was
292 generated by GNU Autoconf 2.61.  Invocation command line was
293
294   CONFIG_FILES    = $CONFIG_FILES
295   CONFIG_HEADERS  = $CONFIG_HEADERS
296   CONFIG_LINKS    = $CONFIG_LINKS
297   CONFIG_COMMANDS = $CONFIG_COMMANDS
298   $ $0 $@
299
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
301 "
302
303 # Files that config.status was made for.
304 config_files=" Makefile src/Makefile"
305 config_commands=" depfiles"
306
307 ac_cs_usage="\
308 \`$as_me' instantiates files from templates according to the
309 current configuration.
310
311 Usage: $0 [OPTIONS] [FILE]...
312
313   -h, --help       print this help, then exit
314   -V, --version    print version number and configuration settings, then exit
315   -q, --quiet      do not print progress messages
316   -d, --debug      don't remove temporary files
317       --recheck    update $as_me by reconfiguring in the same conditions
318   --file=FILE[:TEMPLATE]
319                    instantiate the configuration file FILE
320
321 Configuration files:
322 $config_files
323
324 Configuration commands:
325 $config_commands
326
327 Report bugs to <bug-autoconf@gnu.org>."
328
329 ac_cs_version="\
330 config.status
331 configured by ./configure, generated by GNU Autoconf 2.61,
332   with options \"'--host=arm-linux-gnueabi' '--build=arm-linux-gnueabi' '--prefix=/usr' '--mandir=\${prefix}/share/man' '--infodir=\${prefix}/share/info' 'CFLAGS=-Wall -g -O2' 'LDFLAGS=-Wl,-z,defs' 'build_alias=arm-linux-gnueabi' 'host_alias=arm-linux-gnueabi'\"
333
334 Copyright (C) 2006 Free Software Foundation, Inc.
335 This config.status script is free software; the Free Software Foundation
336 gives unlimited permission to copy, distribute and modify it."
337
338 ac_pwd='/home/tzesti/hildon-input-method-plugins-korean-0.2'
339 srcdir='.'
340 INSTALL='/scratchbox/tools/bin/install -c'
341 # If no file are specified by the user, then we need to provide default
342 # value.  By we need to know if files were specified by the user.
343 ac_need_defaults=:
344 while test $# != 0
345 do
346   case $1 in
347   --*=*)
348     ac_option=`expr "X$1" : 'X\([^=]*\)='`
349     ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
350     ac_shift=:
351     ;;
352   *)
353     ac_option=$1
354     ac_optarg=$2
355     ac_shift=shift
356     ;;
357   esac
358
359   case $ac_option in
360   # Handling of the options.
361   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
362     ac_cs_recheck=: ;;
363   --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
364     echo "$ac_cs_version"; exit ;;
365   --debug | --debu | --deb | --de | --d | -d )
366     debug=: ;;
367   --file | --fil | --fi | --f )
368     $ac_shift
369     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
370     ac_need_defaults=false;;
371   --he | --h |  --help | --hel | -h )
372     echo "$ac_cs_usage"; exit ;;
373   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
374   | -silent | --silent | --silen | --sile | --sil | --si | --s)
375     ac_cs_silent=: ;;
376
377   # This is an error.
378   -*) { echo "$as_me: error: unrecognized option: $1
379 Try \`$0 --help' for more information." >&2
380    { (exit 1); exit 1; }; } ;;
381
382   *) ac_config_targets="$ac_config_targets $1"
383      ac_need_defaults=false ;;
384
385   esac
386   shift
387 done
388
389 ac_configure_extra_args=
390
391 if $ac_cs_silent; then
392   exec 6>/dev/null
393   ac_configure_extra_args="$ac_configure_extra_args --silent"
394 fi
395
396 if $ac_cs_recheck; then
397   echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--host=arm-linux-gnueabi' '--build=arm-linux-gnueabi' '--prefix=/usr' '--mandir=${prefix}/share/man' '--infodir=${prefix}/share/info' 'CFLAGS=-Wall -g -O2' 'LDFLAGS=-Wl,-z,defs' 'build_alias=arm-linux-gnueabi' 'host_alias=arm-linux-gnueabi' $ac_configure_extra_args " --no-create --no-recursion" >&6
398   CONFIG_SHELL=/bin/sh
399   export CONFIG_SHELL
400   exec /bin/sh "./configure" '--host=arm-linux-gnueabi' '--build=arm-linux-gnueabi' '--prefix=/usr' '--mandir=${prefix}/share/man' '--infodir=${prefix}/share/info' 'CFLAGS=-Wall -g -O2' 'LDFLAGS=-Wl,-z,defs' 'build_alias=arm-linux-gnueabi' 'host_alias=arm-linux-gnueabi' $ac_configure_extra_args --no-create --no-recursion
401 fi
402
403 exec 5>>config.log
404 {
405   echo
406   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
407 ## Running $as_me. ##
408 _ASBOX
409   echo "$ac_log"
410 } >&5
411
412 #
413 # INIT-COMMANDS
414 #
415 AMDEP_TRUE="" ac_aux_dir="."
416
417
418 # Handling of arguments.
419 for ac_config_target in $ac_config_targets
420 do
421   case $ac_config_target in
422     "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
423     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
424     "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
425
426   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
427 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
428    { (exit 1); exit 1; }; };;
429   esac
430 done
431
432
433 # If the user did not use the arguments to specify the items to instantiate,
434 # then the envvar interface is used.  Set only those that are not.
435 # We use the long form for the default assignment because of an extremely
436 # bizarre bug on SunOS 4.1.3.
437 if $ac_need_defaults; then
438   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
439   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
440 fi
441
442 # Have a temporary directory for convenience.  Make it in the build tree
443 # simply because there is no reason against having it here, and in addition,
444 # creating and moving files from /tmp can sometimes cause problems.
445 # Hook for its removal unless debugging.
446 # Note that there is a small window in which the directory will not be cleaned:
447 # after its creation but before its name has been assigned to `$tmp'.
448 $debug ||
449 {
450   tmp=
451   trap 'exit_status=$?
452   { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
453 ' 0
454   trap '{ (exit 1); exit 1; }' 1 2 13 15
455 }
456 # Create a (secure) tmp directory for tmp files.
457
458 {
459   tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
460   test -n "$tmp" && test -d "$tmp"
461 }  ||
462 {
463   tmp=./conf$$-$RANDOM
464   (umask 077 && mkdir "$tmp")
465 } ||
466 {
467    echo "$me: cannot create a temporary directory in ." >&2
468    { (exit 1); exit 1; }
469 }
470
471 #
472 # Set up the sed scripts for CONFIG_FILES section.
473 #
474
475 # No need to generate the scripts if there are no CONFIG_FILES.
476 # This happens for instance when ./config.status config.h
477 if test -n "$CONFIG_FILES"; then
478
479 cat >"$tmp/subs-1.sed" <<\CEOF
480 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
481 s,@SHELL@,|#_!!_#|/bin/sh,g
482 s,@PATH_SEPARATOR@,|#_!!_#|:,g
483 s,@PACKAGE_NAME@,|#_!!_#|,g
484 s,@PACKAGE_TARNAME@,|#_!!_#|,g
485 s,@PACKAGE_VERSION@,|#_!!_#|,g
486 s,@PACKAGE_STRING@,|#_!!_#|,g
487 s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
488 s,@exec_prefix@,|#_!!_#|${prefix},g
489 s,@prefix@,|#_!!_#|/usr,g
490 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
491 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
492 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
493 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
494 s,@datarootdir@,|#_!!_#|${prefix}/share,g
495 s,@datadir@,|#_!!_#|${datarootdir},g
496 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
497 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
498 s,@localstatedir@,|#_!!_#|${prefix}/var,g
499 s,@includedir@,|#_!!_#|${prefix}/include,g
500 s,@oldincludedir@,|#_!!_#|/usr/include,g
501 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
502 s,@infodir@,|#_!!_#|${prefix}/share/info,g
503 s,@htmldir@,|#_!!_#|${docdir},g
504 s,@dvidir@,|#_!!_#|${docdir},g
505 s,@pdfdir@,|#_!!_#|${docdir},g
506 s,@psdir@,|#_!!_#|${docdir},g
507 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
508 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
509 s,@mandir@,|#_!!_#|${prefix}/share/man,g
510 s,@DEFS@,|#_!!_#|-DPACKAGE_NAME=\\"\\" -DPACKAGE_TARNAME=\\"\\" -DPACKAGE_VERSION=\\"\\" -DPACKAGE_STRING=\\"\\" -DPACKAGE_BUGREPORT=\\"\\" -DPACKAGE=\\"hildon-im-vkb-korean\\" -DVERSION=\\"0.0.1\\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1,g
511 s,@ECHO_C@,|#_!!_#|,g
512 s,@ECHO_N@,|#_!!_#|-n,g
513 s,@ECHO_T@,|#_!!_#|,g
514 s,@LIBS@,|#_!!_#|,g
515 s,@build_alias@,|#_!!_#|arm-linux-gnueabi,g
516 s,@host_alias@,|#_!!_#|arm-linux-gnueabi,g
517 s,@target_alias@,|#_!!_#|,g
518 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
519 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
520 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
521 s,@CYGPATH_W@,|#_!!_#|echo,g
522 s,@PACKAGE@,|#_!!_#|hildon-im-vkb-korean,g
523 s,@VERSION@,|#_!!_#|0.0.1,g
524 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/tzesti/hildon-input-method-plugins-korean-0.2/missing --run aclocal-1.8,g
525 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/tzesti/hildon-input-method-plugins-korean-0.2/missing --run autoconf,g
526 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/tzesti/hildon-input-method-plugins-korean-0.2/missing --run automake-1.8,g
527 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/tzesti/hildon-input-method-plugins-korean-0.2/missing --run autoheader,g
528 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/tzesti/hildon-input-method-plugins-korean-0.2/missing --run makeinfo,g
529 s,@AMTAR@,|#_!!_#|${SHELL} /home/tzesti/hildon-input-method-plugins-korean-0.2/missing --run tar,g
530 s,@install_sh@,|#_!!_#|/home/tzesti/hildon-input-method-plugins-korean-0.2/install-sh,g
531 s,@STRIP@,|#_!!_#|arm-linux-gnueabi-strip,g
532 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
533 s,@mkdir_p@,|#_!!_#|mkdir -p -- .,g
534 s,@AWK@,|#_!!_#|gawk,g
535 s,@SET_MAKE@,|#_!!_#|,g
536 s,@am__leading_dot@,|#_!!_#|.,g
537 s,@CC@,|#_!!_#|arm-linux-gnueabi-gcc,g
538 s,@CFLAGS@,|#_!!_#|-Wall -g -O2,g
539 s,@LDFLAGS@,|#_!!_#|-Wl\,-z\,defs,g
540 s,@CPPFLAGS@,|#_!!_#|,g
541 s,@ac_ct_CC@,|#_!!_#|,g
542 s,@EXEEXT@,|#_!!_#|,g
543 s,@OBJEXT@,|#_!!_#|o,g
544 s,@DEPDIR@,|#_!!_#|.deps,g
545 s,@am__include@,|#_!!_#|include,g
546 s,@am__quote@,|#_!!_#|,g
547 s,@AMDEP_TRUE@,|#_!!_#|,g
548 s,@AMDEP_FALSE@,|#_!!_#|#,g
549 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
550 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
551 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
552 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
553 s,@build@,|#_!!_#|arm-unknown-linux-gnueabi,g
554 s,@build_cpu@,|#_!!_#|arm,g
555 s,@build_vendor@,|#_!!_#|unknown,g
556 s,@build_os@,|#_!!_#|linux-gnueabi,g
557 s,@host@,|#_!!_#|arm-unknown-linux-gnueabi,g
558 s,@host_cpu@,|#_!!_#|arm,g
559 s,@host_vendor@,|#_!!_#|unknown,g
560 s,@host_os@,|#_!!_#|linux-gnueabi,g
561 s,@GREP@,|#_!!_#|/scratchbox/tools/bin/grep,g
562 s,@EGREP@,|#_!!_#|/scratchbox/tools/bin/grep -E,g
563 s,@LN_S@,|#_!!_#|ln -s,g
564 s,@ECHO@,|#_!!_#|echo,g
565 s,@AR@,|#_!!_#|arm-linux-gnueabi-ar,g
566 s,@RANLIB@,|#_!!_#|arm-linux-gnueabi-ranlib,g
567 s,@CPP@,|#_!!_#|arm-linux-gnueabi-gcc -E,g
568 s,@CXX@,|#_!!_#|arm-linux-gnueabi-g++,g
569 s,@CXXFLAGS@,|#_!!_#|-g -O2,g
570 s,@ac_ct_CXX@,|#_!!_#|,g
571 s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
572 s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
573 s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
574 s,@CXXCPP@,|#_!!_#|arm-linux-gnueabi-g++ -E,g
575 s,@F77@,|#_!!_#|,g
576 s,@FFLAGS@,|#_!!_#|,g
577 s,@ac_ct_F77@,|#_!!_#|,g
578 CEOF
579 cat >"$tmp/subs-2.sed" <<\CEOF
580 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
581 s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
582 s,@PKG_CONFIG@,|#_!!_#|/scratchbox/tools/bin/pkg-config,g
583 s,@GTK_CFLAGS@,|#_!!_#|-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  ,g
584 s,@GTK_LIBS@,|#_!!_#|-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  ,g
585 s,@HIM_CFLAGS@,|#_!!_#|-I/usr/include/hildon-input-method  ,g
586 s,@HIM_LIBS@,|#_!!_#|-L/usr/lib/hildon-input-method -lhildon_im_common -lhildon-im-ui  ,g
587 s,@DBUS_CFLAGS@,|#_!!_#|-I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  ,g
588 s,@DBUS_LIBS@,|#_!!_#|-ldbus-1  ,g
589 s,@LIBOBJS@,|#_!!_#|,g
590 s,@LTLIBOBJS@,|#_!!_#|,g
591 :end
592 s/|#_!!_#|//g
593 CEOF
594 fi # test -n "$CONFIG_FILES"
595
596
597 for ac_tag in  :F $CONFIG_FILES      :C $CONFIG_COMMANDS
598 do
599   case $ac_tag in
600   :[FHLC]) ac_mode=$ac_tag; continue;;
601   esac
602   case $ac_mode$ac_tag in
603   :[FHL]*:*);;
604   :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
605 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
606    { (exit 1); exit 1; }; };;
607   :[FH]-) ac_tag=-:-;;
608   :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
609   esac
610   ac_save_IFS=$IFS
611   IFS=:
612   set x $ac_tag
613   IFS=$ac_save_IFS
614   shift
615   ac_file=$1
616   shift
617
618   case $ac_mode in
619   :L) ac_source=$1;;
620   :[FH])
621     ac_file_inputs=
622     for ac_f
623     do
624       case $ac_f in
625       -) ac_f="$tmp/stdin";;
626       *) # Look for the file first in the build tree, then in the source tree
627          # (if the path is not absolute).  The absolute path cannot be DOS-style,
628          # because $ac_f cannot contain `:'.
629          test -f "$ac_f" ||
630            case $ac_f in
631            [\\/$]*) false;;
632            *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
633            esac ||
634            { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
635 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
636    { (exit 1); exit 1; }; };;
637       esac
638       ac_file_inputs="$ac_file_inputs $ac_f"
639     done
640
641     # Let's still pretend it is `configure' which instantiates (i.e., don't
642     # use $as_me), people would be surprised to read:
643     #    /* config.h.  Generated by config.status.  */
644     configure_input="Generated from "`IFS=:
645           echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
646     if test x"$ac_file" != x-; then
647       configure_input="$ac_file.  $configure_input"
648       { echo "$as_me:$LINENO: creating $ac_file" >&5
649 echo "$as_me: creating $ac_file" >&6;}
650     fi
651
652     case $ac_tag in
653     *:-:* | *:-) cat >"$tmp/stdin";;
654     esac
655     ;;
656   esac
657
658   ac_dir=`$as_dirname -- "$ac_file" ||
659 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
660          X"$ac_file" : 'X\(//\)[^/]' \| \
661          X"$ac_file" : 'X\(//\)$' \| \
662          X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
663 echo X"$ac_file" |
664     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
665             s//\1/
666             q
667           }
668           /^X\(\/\/\)[^/].*/{
669             s//\1/
670             q
671           }
672           /^X\(\/\/\)$/{
673             s//\1/
674             q
675           }
676           /^X\(\/\).*/{
677             s//\1/
678             q
679           }
680           s/.*/./; q'`
681   { as_dir="$ac_dir"
682   case $as_dir in #(
683   -*) as_dir=./$as_dir;;
684   esac
685   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
686     as_dirs=
687     while :; do
688       case $as_dir in #(
689       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
690       *) as_qdir=$as_dir;;
691       esac
692       as_dirs="'$as_qdir' $as_dirs"
693       as_dir=`$as_dirname -- "$as_dir" ||
694 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
695          X"$as_dir" : 'X\(//\)[^/]' \| \
696          X"$as_dir" : 'X\(//\)$' \| \
697          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
698 echo X"$as_dir" |
699     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
700             s//\1/
701             q
702           }
703           /^X\(\/\/\)[^/].*/{
704             s//\1/
705             q
706           }
707           /^X\(\/\/\)$/{
708             s//\1/
709             q
710           }
711           /^X\(\/\).*/{
712             s//\1/
713             q
714           }
715           s/.*/./; q'`
716       test -d "$as_dir" && break
717     done
718     test -z "$as_dirs" || eval "mkdir $as_dirs"
719   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
720 echo "$as_me: error: cannot create directory $as_dir" >&2;}
721    { (exit 1); exit 1; }; }; }
722   ac_builddir=.
723
724 case "$ac_dir" in
725 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
726 *)
727   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
728   # A ".." for each directory in $ac_dir_suffix.
729   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
730   case $ac_top_builddir_sub in
731   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
732   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
733   esac ;;
734 esac
735 ac_abs_top_builddir=$ac_pwd
736 ac_abs_builddir=$ac_pwd$ac_dir_suffix
737 # for backward compatibility:
738 ac_top_builddir=$ac_top_build_prefix
739
740 case $srcdir in
741   .)  # We are building in place.
742     ac_srcdir=.
743     ac_top_srcdir=$ac_top_builddir_sub
744     ac_abs_top_srcdir=$ac_pwd ;;
745   [\\/]* | ?:[\\/]* )  # Absolute name.
746     ac_srcdir=$srcdir$ac_dir_suffix;
747     ac_top_srcdir=$srcdir
748     ac_abs_top_srcdir=$srcdir ;;
749   *) # Relative name.
750     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
751     ac_top_srcdir=$ac_top_build_prefix$srcdir
752     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
753 esac
754 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
755
756
757   case $ac_mode in
758   :F)
759   #
760   # CONFIG_FILE
761   #
762
763   case $INSTALL in
764   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
765   *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
766   esac
767 # If the template does not know about datarootdir, expand it.
768 # FIXME: This hack should be removed a few years after 2.60.
769 ac_datarootdir_hack=; ac_datarootdir_seen=
770
771 case `sed -n '/datarootdir/ {
772   p
773   q
774 }
775 /@datadir@/p
776 /@docdir@/p
777 /@infodir@/p
778 /@localedir@/p
779 /@mandir@/p
780 ' $ac_file_inputs` in
781 *datarootdir*) ac_datarootdir_seen=yes;;
782 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
783   { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
784 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
785   ac_datarootdir_hack='
786   s&@datadir@&${datarootdir}&g
787   s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
788   s&@infodir@&${prefix}/share/info&g
789   s&@localedir@&${datarootdir}/locale&g
790   s&@mandir@&${prefix}/share/man&g
791     s&\${datarootdir}&${prefix}/share&g' ;;
792 esac
793   sed "/^[       ]*VPATH[        ]*=/{
794 s/:*\$(srcdir):*/:/
795 s/:*\${srcdir}:*/:/
796 s/:*@srcdir@:*/:/
797 s/^\([^=]*=[     ]*\):*/\1/
798 s/:*$//
799 s/^[^=]*=[       ]*$//
800 }
801
802 :t
803 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
804 s&@configure_input@&$configure_input&;t t
805 s&@top_builddir@&$ac_top_builddir_sub&;t t
806 s&@srcdir@&$ac_srcdir&;t t
807 s&@abs_srcdir@&$ac_abs_srcdir&;t t
808 s&@top_srcdir@&$ac_top_srcdir&;t t
809 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
810 s&@builddir@&$ac_builddir&;t t
811 s&@abs_builddir@&$ac_abs_builddir&;t t
812 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
813 s&@INSTALL@&$ac_INSTALL&;t t
814 $ac_datarootdir_hack
815 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
816
817 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
818   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
819   { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
820   { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
821 which seems to be undefined.  Please make sure it is defined." >&5
822 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
823 which seems to be undefined.  Please make sure it is defined." >&2;}
824
825   rm -f "$tmp/stdin"
826   case $ac_file in
827   -) cat "$tmp/out"; rm -f "$tmp/out";;
828   *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
829   esac
830  ;;
831
832
833   :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
834 echo "$as_me: executing $ac_file commands" >&6;}
835  ;;
836   esac
837
838
839   case $ac_file$ac_mode in
840     "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
841   # Strip MF so we end up with the name of the file.
842   mf=`echo "$mf" | sed -e 's/:.*$//'`
843   # Check whether this is an Automake generated Makefile or not.
844   # We used to match only the files named `Makefile.in', but
845   # some people rename them; so instead we look at the file content.
846   # Grep'ing the first line is not enough: some people post-process
847   # each Makefile.in and add a new line on top of each file to say so.
848   # So let's grep whole file.
849   if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
850     dirpart=`$as_dirname -- "$mf" ||
851 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
852          X"$mf" : 'X\(//\)[^/]' \| \
853          X"$mf" : 'X\(//\)$' \| \
854          X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
855 echo X"$mf" |
856     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
857             s//\1/
858             q
859           }
860           /^X\(\/\/\)[^/].*/{
861             s//\1/
862             q
863           }
864           /^X\(\/\/\)$/{
865             s//\1/
866             q
867           }
868           /^X\(\/\).*/{
869             s//\1/
870             q
871           }
872           s/.*/./; q'`
873   else
874     continue
875   fi
876   grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
877   # Extract the definition of DEP_FILES from the Makefile without
878   # running `make'.
879   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
880   test -z "$DEPDIR" && continue
881   # When using ansi2knr, U may be empty or an underscore; expand it
882   U=`sed -n 's/^U = //p' < "$mf"`
883   test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
884   # We invoke sed twice because it is the simplest approach to
885   # changing $(DEPDIR) to its actual value in the expansion.
886   for file in `sed -n '
887     /^DEP_FILES = .*\\\\$/ {
888       s/^DEP_FILES = //
889       :loop
890         s/\\\\$//
891         p
892         n
893         /\\\\$/ b loop
894       p
895     }
896     /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
897        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
898     # Make sure the directory exists.
899     test -f "$dirpart/$file" && continue
900     fdir=`$as_dirname -- "$file" ||
901 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
902          X"$file" : 'X\(//\)[^/]' \| \
903          X"$file" : 'X\(//\)$' \| \
904          X"$file" : 'X\(/\)' \| . 2>/dev/null ||
905 echo X"$file" |
906     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
907             s//\1/
908             q
909           }
910           /^X\(\/\/\)[^/].*/{
911             s//\1/
912             q
913           }
914           /^X\(\/\/\)$/{
915             s//\1/
916             q
917           }
918           /^X\(\/\).*/{
919             s//\1/
920             q
921           }
922           s/.*/./; q'`
923     { as_dir=$dirpart/$fdir
924   case $as_dir in #(
925   -*) as_dir=./$as_dir;;
926   esac
927   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
928     as_dirs=
929     while :; do
930       case $as_dir in #(
931       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
932       *) as_qdir=$as_dir;;
933       esac
934       as_dirs="'$as_qdir' $as_dirs"
935       as_dir=`$as_dirname -- "$as_dir" ||
936 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
937          X"$as_dir" : 'X\(//\)[^/]' \| \
938          X"$as_dir" : 'X\(//\)$' \| \
939          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
940 echo X"$as_dir" |
941     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
942             s//\1/
943             q
944           }
945           /^X\(\/\/\)[^/].*/{
946             s//\1/
947             q
948           }
949           /^X\(\/\/\)$/{
950             s//\1/
951             q
952           }
953           /^X\(\/\).*/{
954             s//\1/
955             q
956           }
957           s/.*/./; q'`
958       test -d "$as_dir" && break
959     done
960     test -z "$as_dirs" || eval "mkdir $as_dirs"
961   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
962 echo "$as_me: error: cannot create directory $as_dir" >&2;}
963    { (exit 1); exit 1; }; }; }
964     # echo "creating $dirpart/$file"
965     echo '# dummy' > "$dirpart/$file"
966   done
967 done
968  ;;
969
970   esac
971 done # for ac_tag
972
973
974 { (exit 0); exit 0; }